Name:          latex2emf
Version:       1.0.0
Release:       2%{?dist}
Summary:       Create an EMF file from LaTeX source

Group:         Applications/Productivity
License:       GPLv2+
URL:           http://ooolatex.sourceforge.net/
Source0:       http://downloads.sourceforge.net/ooolatex/OOoLatexEmf_noarch_src.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libEMF-devel

%description 
This program creates EMF files from LaTeX source.  It is used by the
OpenOffice.org extension "ooolatex" to allow display of LaTeX
equations inside Writer and Impress documents

%prep
%setup -q -n OOoLatexEmf_noarch_src

%build
# bypass the included Makefile which is very short and not designed
# with system-installation in mind
g++ $RPM_OPT_FLAGS latex2emf.cpp -I%{_includedir}/libEMF -o latex2emf -lEMF

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} latex2emf $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc License README
%{_bindir}/latex2emf


%changelog
* Fri Apr  4 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.0.0-2
- Missing disttag.

* Wed Apr  2 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.0.0-1
- Initial Fedora package

